Package org.apache.solr.client.solrj.util

## Interface Cancellable

All Known Implementing Classes:
  `HttpJdkSolrClient.HttpSolrClientCancellable`

    @Deprecated
    public interface Cancellable

Deprecated.
Use the async variants that return CompletableFuture.
The return type for solrJ asynchronous requests, providing a mechanism whereby callers may request cancellation.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `cancel()` Deprecated. Request to cancel the asynchronous request.

### Method Detail

#### cancel

    void cancel()

Deprecated.
Request to cancel the asynchronous request. This may be a no-op in some situations, for instance, if the request failed or otherwise is complete.